﻿#language: ru

Функционал: Расчет плановой себестоимости продукции

Сценарий: Расчет плановой себестоимости на основании рецептуры
	Дано Я подключаюсь под "Технолог"
	И Я начинаю создавать Ресурсную спецификацию по шаблону "Сыр" для "Мраморный 50%" с отключенной обычной формой
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап'  |
		| 'Варка' |
	И Пауза 1
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияКоличество"
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '950,000'
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'Сыворотка'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияКоличество"
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '7 950,000'
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'Сырная крошка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияКоличество"
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '4,750'
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыНоменклатура"
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смесь 50%'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыКоличество"
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '11 000,000'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыОсновное"
	И в таблице "Материалы" я устанавливаю флаг 'Основное'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я завершаю редактирование строки
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Закваска'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыКоличество"
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '0,500'
	И в таблице "Материалы" я завершаю редактирование строки
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап'     |
		| 'Упаковка' |
	И Пауза 1
	И я жду, что таблица "Материалы" станет равна данной в течение 20 секунд:
		| 'Номенклатура'  | 'Характеристика' | 'Количество' |
		| 'Мраморный 50%' | 'Варка'          | '950,000'    |
	И я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'Мраморный 50%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияХарактеристика"
	И в таблице "ВыходныеИзделия" я выбираю текущую строку
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Характеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Недопресс'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '11,500'
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И в таблице "ВыходныеИзделия" я перехожу к строке:
		| 'Ед. изм.' | 'Номенклатура'  | 'Основное' | 'Характеристика' |
		| 'кг'       | 'Мраморный 50%' | 'Да'       | 'На созревании'  |
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '929,950'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Пакет '       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" я перехожу к строке:
		| 'Ед. изм.' | 'Номенклатура' | 'Основное' | 'Характеристика'    |
		| 'шт'       | 'Пакет '       | 'Нет'      | '<не используются>' |
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '212,000'
	И в таблице "Материалы" я активизирую поле "Потребляется при выпуске"
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Потребляется при выпуске"
	Тогда открылось окно 'Форма выбора выходного изделия'
	И в таблице "ВыходныеИзделия" я перехожу к строке:
		| 'Количество' | 'Номенклатура'  | 'Характеристика' |
		| '929,950'    | 'Мраморный 50%' | 'На созревании'  |
	И в таблице "ВыходныеИзделия" я нажимаю на кнопку с именем 'ВыходныеИзделияВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Пакет 2'      |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '2,000'
	И в таблице "Материалы" я активизирую поле "Потребляется при выпуске"
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Потребляется при выпуске"
	Тогда открылось окно 'Форма выбора выходного изделия'
	И в таблице "ВыходныеИзделия" я перехожу к строке:
		| 'Количество' | 'Номенклатура'  | 'Характеристика' |
		| '11,500'     | 'Мраморный 50%' | 'Недопресс'      |
	И в таблице "ВыходныеИзделия" я нажимаю на кнопку с именем 'ВыходныеИзделияВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап'       |
		| 'Маркировка' |
	И я жду, что таблица "Материалы" станет равна данной в течение 20 секунд:
		| 'Номенклатура'  | 'Характеристика' | 'Количество' |
		| 'Мраморный 50%' | 'На созревании'  | '929,950'    |
	И в таблице "ВыходныеИзделия" в поле с именем 'ВыходныеИзделияКоличество' я ввожу текст '925,300'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Короб'        |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" я завершаю редактирование строки
	И в таблице "Материалы" я активизирую поле с именем "МатериалыКоличество"
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '25,000'
	И я перехожу к закладке "Рабочие центры"
	И в таблице "РабочиеЦентры" я перехожу к строке:
		| 'Рабочий центр' |
		| 'Маркировка'    |
	И в таблице "РабочиеЦентры" в поле 'Норма времени' я ввожу текст '800'
	И в поле 'Действует с' я ввожу текущую дату
	И Я заканчиваю создавать Ресурсную спецификацию в новой форме

Сценарий: Проверка документа плановой калькуляции
	И В командном интерфейсе я выбираю 'Производство' 'Плановые калькуляции'
	Тогда открылось окно 'Плановые калькуляции'
	И в таблице "Список" я перехожу к строке:
		| 'Ответственный' | 'Сообщать об ошибках' | 'Спецификация'      | 'Способ создания'                      |
		| 'Технолог'      | 'Да'                  | 'Мраморный 50% Сыр' | 'Автоматическое создание на основании' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Плановая калькуляция *'
	И я перехожу к закладке "Рассчитанные полуфабрикаты"
	И я жду, что в таблице "РассчитанныеПолуфабрикаты" количество строк будет "равно" 8 в течение 10 секунд
	И я жду, что в таблице "ОшибкиРасчета" количество строк будет "равно" 0 в течение 10 секунд
	И я закрыл все окна клиентского приложения

Сценарий: 10_milk_scenario.06.002 Закрытие клиента тестирования
	И я закрываю сеанс TESTCLIENT